Subject: bug#12729: coreutils-8.20/gnulib-tests/

From: [email-masked]
Date: Thu, 25 Oct 2012 22:21:43 +0200 (CEST)

----- Mail original -----
> De: "Pádraig Brady" <[email-masked]>
> À: "Alice" <[email-masked]>
> Cc: [email-masked]
> Envoyé: Jeudi 25 Octobre 2012 15:41:39
> Objet: bug#12729: coreutils-8.20/gnulib-tests/
> 
> On 10/25/2012 07:44 AM, Alice wrote:
>  > Archlinux 64 bit
>  > no work.!!!
> > FAIL: test-getlogin
> > ===================
> > test-getlogin.c:45: assertion failed
> 
> You can see the test here:
> http://git.sv.gnu.org/gitweb/?p=gnulib.git;a=blob;f=tests/test-getlogin.c;h=449ceaa;hb=HEAD#l45
> 
> Does this happen every time for that test?
> 
> I notice the test is not checking for
>    errno==ENOENT or errno=ENXIO
> Could you adjust the test to print out the
> errno that's being returned?
> 
> thanks,
> Pádraig.
> 
> 
I think this is the same issue as #11150
http://lists.gnu.org/archive/html/bug-coreutils/2012-04/msg00056.html

I added a printf to see errno and the number reported was 2 (ENOENT).

It is normal that getlogin fail as nobody is logged inside my chroot.
[chroot-i486] root:/$ w
 22:14:14 up 1 day,  2:53,  0 users,  load average: 0.51, 0.59, 0.34
USER     TTY        LOGIN@   IDLE   JCPU   PCPU WHAT

In the chroot, I created a user with a shell and log as this user. Then the test pass.
./gnulib-tests/test-getlogin && echo $?
0

Gilles